<?php

session_start();

if (isset($_POST['datos']) && isset($_POST['dbname']) && isset($_POST['suc_id']) && isset($_POST['est_id']) && isset($_POST['pack'])) {
    $_SESSION['name'] = $_POST['datos'];
    $database = $_POST['dbname'];
    $_SESSION['suc_id'] = $_POST['suc_id'];
    $_SESSION['est_id'] = $_POST['est_id'];
    $pack = $_POST['pack'];
} else {
    // Manejar el error cuando uno de los índices no está definido
    $msg = array("success" => "false", "mensaje" => "Datos incompletos en la solicitud POST");
    header('content-type: application/json');
    echo json_encode($msg);
    exit();
}

include 'conn.php';
include 'funciones.php';

$comillas = "'";

$data = json_decode($_SESSION['name'], true);

logs('llegoooooooooooooooooooo: ' . json_encode($data));

$books = $data;

$recibidos = "1";

$i = 0;

$books2 = $books["auditoria"];

try {
    foreach ($books2 as $book) {
        $sql = "INSERT IGNORE INTO " . $database . ".auditoria (fecha, u_id, suc_id, e_id, tipo_auditoria, aud_ref, infoextra, valor, mesa, puesto)
                VALUES ('" . $book['fecha'] . "', '" . $book['u_id'] . "', '" . $book['suc_id'] . "', '" . $book['e_id'] . "', '" . $book['tipo_auditoria'] . "', '" . $book['aud_ref'] . "', '" . $book['infoextra'] . "', '" . $book['valor'] . "', '" . $book['mesa'] . "', '" . $book['puesto'] . "')";
        
        if ($connection->query($sql)) {
            $i++;
        } else {
            throw new Exception("Error al entregar auditorías: " . $connection->error);
        }
    }

    $msg = array("success" => "true", "mensaje" => "Auditorías enviadas en total: " . $recibidos . " Procesados: " . $i);
} catch (Exception $e) {
    $msg = array("success" => "false", "mensaje" => $e->getMessage());
} finally {
    // Asegurarse de cerrar la conexión
    @mysqli_close($connection);
}

$json = $msg;

header('content-type: application/json');
echo json_encode($json);

?>
